# class Sass::Tree::MixinDefNode

A dynamic node representing a mixin definition.

@see Sass::Tree

### Attributes

args[RW]

The arguments for the mixin. Each element is a tuple containing the variable for argument and the parse tree for the default value of the argument.

@return [Array<(Script::Tree::Node, Script::Tree::Node)>]

has_content[RW]

Whether the mixin uses `@content`. Set during the nesting check phase. @return [Boolean]

name[R]

The mixin name. @return [String]

splat[RW]

The splat argument for this mixin, if one exists.

@return [Script::Tree::Node?]

### Public Class Methods

new(name, args, splat) click to toggle source

@param name [String] The mixin name @param args [Array<(Script::Tree::Node, Script::Tree::Node)>] See {#args} @param splat [Script::Tree::Node] See {#splat}

Calls superclass method

    # File lib/sass/tree/mixin_def_node.rb, line 30
    def initialize(name, args, splat)
      @name = name
      @args = args
      @splat = splat
      super()
    end